UbixOS V2 2.0

Functions
endtask.c File Reference
`#include <sys/types.h>`
`#include <ubixos/sched.h>`
`#include <ubixos/vitals.h>`
`#include <vmm/vmm.h>`
`#include <lib/kprintf.h>`
`#include <isa/8259.h>`
Include dependency graph for endtask.c:

Go to the source code of this file.

## Functions
void | endTask (pidType pid)

## Function Documentation

## ◆ endTask()

void endTask | ( | pidType | pid | ) |

Definition at line 44 of file endtask.c.

References DEAD, sched_setStatus(), and sched_yield().

Referenced by __alignmentCheck(), __debug(), __divideError(), __doubleFault(), __floatingPoint(), __machineCheck(), __nmi(), __security(), __simd(), __virtualization(), schedEndTask(), sys_exit(), and sysExec().

Here is the call graph for this function: